How does this work for 1.8+? I tried using 1.10.2 but it wouldn't start.